<?php
function __autoload($name) {
  include(ROOT.'system/class/'.$name.'.php');
}

function report($msg=null, $type = 'succ', $url = '/', $sec = 0) {
  global $_DATA, $error, $sysmsg;
  if ($sec > 0)
    header("Refresh: $sec; url=$url ");
  else {
    header("Location: $url");exit;
  } 
  if ($type == 'err')
    $_DATA['title'] = 'Ошибка';
  include(ROOT.'system/views/_main/header.tmpl');
  include(ROOT.'system/views/_main/report.tmpl');
  include(ROOT.'system/views/_main/footer.tmpl');
}

function output_txt($str) {
  return htmlentities($str, ENT_QUOTES, 'UTF-8');
}

function input_txt($str) {
  return trim(preg_replace("#(^( |\r|\n)+)|(( |\r|\n)+$)|([^0-9a-zа-яёїієґ\r\n".preg_quote(' []|`@\'"-_+=~!#:;$%^&*()?/\\.,<>{}', '#')."]+)#ui", '', (string)$str));
}

function nickname() {
  global $ank, $_DATA;
  if (!$ank) {
    return 'Пользователь удален';
  }
  return '<span class="'.($ank['date_last'] > (TIME-600) ? ($ank['pol'] == 1 ? 'women_on' : 'men_on') : ($ank['pol'] == 1 ? 'women_off' : 'men_off')).'"><a href="/users-anceta?id='.$ank['id'].'">'.output_txt($ank['nick']).'</a></span>';
}

function fotka() {
  global $ank, $_DATA;
  if (!$ank) {
    return 'style/'.$_DATA['theme'].'/icons/pol_2.gif';
  }
  if (glob (ROOT.'files/avatar/'.$ank['id'].'{*.jpg,*.png,*.jpeg,*.gif}', GLOB_BRACE))
    return 'images/small_ava'.$ank['id'].'.jpeg';
  else
    return 'style/'.$_DATA['theme'].'/icons/pol_'.$ank['pol'].'.gif';
}

function usersget($id=0) {  
  global $DB;
  static $users;
  $users[0] = false;
  if (!isset ($users[$id])) {
  $q = $DB -> query ("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
  if ($q -> num_rows == 1) {
    $users[$id] = $q -> fetch_assoc();
  }
  else
    $users[$id]=false;
  }
  return $users[$id];
}

function vesfile($filesize = 0) {
  $filesize_ed = ' b';
  if ($filesize >= 1024) {
    $filesize = round($filesize / 1024, 2);
    $filesize_ed = ' kb';
  }
  if ($filesize >= 1024) {
    $filesize = round($filesize / 1024, 2);
    $filesize_ed = ' mb';
  }
  return $filesize . $filesize_ed;
}

function tags($str = '') {
  return preg_replace_callback('#\[([a-z_0-9]+)(=((?:&quot;|")?)([^\]\3]+)\3)?\](?:(.+?)(\[/\1\]))?#xuis', 'bbcode', $str);
}

function bbcode($in) {
/*
1 - тэг
4 - параметр
5 - содержание
*/
switch ($in[1]) {
case 'nobb':return (isset($in[5])?$in[5]:$in[0]);
case 'i':if (isset($in[5]))return '<span style="font-style:italic">'.tags($in[5]).'</span>';
case 'b':if (isset($in[5]))return '<span style="font-weight:bold">'.tags($in[5]).'</span>';
case 'u':if (isset($in[5]))return '<span style="text-decoration:underline">'.tags($in[5]).'</span>';
case 'no':if (isset($in[5]))return '<span style="text-decoration:line-through">'.tags($in[5]).'</span>';
case 'url':if (isset($in[5]) && isset($in[4]))return url_replace($in);
case 'color':if (isset($in[5]) && isset($in[4]))return color_replace($in);
case 'small':if (isset($in[5]))return '<span style="font-size:xx-small">'.tags($in[5]).'</span>';
case 'big':if (isset($in[5]))return '<span style="font-size:xx-large">'.tags($in[5]).'</span>';
}
return !empty($in[5])?tags($in[5]):$in[0];
}

function url_replace($arr) {
  if (empty($arr[4]) || empty($arr[5]))
    return $arr[0];
  if (preg_match('#^http://'.preg_quote($_SERVER['HTTP_HOST']).'(/|$)#ui',$arr[4]) || !preg_match('#://#',$arr[4]))
    return '<a href="'.preg_replace('#^http://'.preg_quote($_SERVER['HTTP_HOST']).'(/|$)#ui','/',$arr[4]).'">'.tags($arr[5]).'</a>';
  else
    return '<a href="http://'.$_SERVER['HTTP_HOST'].'/index-link?url='.urlencode(html_entity_decode($arr[4])).'">'.tags($arr[5]).'</a>';
}

function color_replace($arr) {
  if (preg_match('/^#[0-9a-f]{6}$/ui', $arr[4]))
    return '<span style="color:'.$arr[4].'">'.$arr[5].'</span>';
  return $arr[0];
}

function deletelink ($msg) {
   $msg = preg_replace('#(?<!\])\bhttp://[^\s\[<]+#i', ' ', $msg); 
   $msg = preg_replace('#[-A-Z0-9a-z\.\s]+\.(com|net|ru|us|ws|org.ru|net.ru|wen.ru|fiz.ru|org|mobi|name|info|org.ua|net.ua)#i', ' ', $msg); 
   return $msg;
}

function smiles($str) {
  return strtr($str, array_smiles());
}

function array_smiles() {
  if (file_exists(ROOT.'temp/cache/smiles.cfg') && time()-filemtime(ROOT.'temp/cache/smiles.cfg') < 300) {
    return unserialize(file_get_contents(ROOT.'temp/cache/smiles.cfg'));
  } else {
    $smiles = include(ROOT.'system/config/smiles.php');
    foreach ($smiles as $key => $value) {
          $smiles[$key] = '<img src="./sm/'.$value.'.gif" alt="'.$value.'" />';
    }
    file_put_contents(ROOT.'temp/cache/smiles.cfg', serialize($smiles));
    return $smiles;
  }
}

function ads_out ($area) {
  global $_DATA, $DB;
  $q = $DB -> query ("SELECT * FROM `ads_manager` WHERE `area` = '{$area}' AND `time` > ".TIME." ORDER BY `position` ASC ");
  $reclama = array();
  while ($p = $q -> fetch_assoc()) {
    $p['names'] = explode(',', $p['names']);
    $reclama[] = array('id' => $p['id'], 'go' => $p['go'], 'url' => output_txt($p['url']), 'img' => ($p['img'] ? output_txt($p['img']) : null), 'name' => ($p['names'] ? output_txt($p['names'][array_rand($p['names'], 1)]) : 'Рекламная ссылка'));
  }
  include (ROOT.'system/views/_main/reclama.tmpl');
}

?>